> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/ukrainian/dokumentaciya-api/geopard-api-requests-overview/55.-upload-zip-files-over-6-mb.md).

# 55. Завантажити zip-файли (понад 6 МБ)

Через технічне обмеження хмарного провайдера AWS завантаження файлів розміром понад 6 МБ потрібно виконувати у 2 кроки:

#### **1. Запросіть попередньо підписане посилання для подальшого прямого завантаження.** <a href="#step1" id="step1"></a>

Як вхідні дані:

* `fileType` - `yield` АБО `soil` АБО `applied` АБО `adapt` АБО `boundary`,
* `farmUuid` (необов’язково) — UUID ферми, до якої потрібно імпортувати файл.

Як вихідні дані:

* `uuid` — очікуваний UUID після завантаження та обробки,
* `farmUuid` — такий самий, як у вхідних даних,
* `fileType` — такий самий, як у вхідних даних,
* `s3Url` — URL, який використовується для завантаження файлу,
* `s3Fields` — атрибути, які потрібно передати у формі завантаження файлу.

Докладно про використання `s3Url` і `s3Fields` описано в другому кроці.

Атрибути дійсні лише протягом 60 хвилин для завантаження файлу.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation GeneratePresignedPostFileData {
  generatePresignedPostFileData(input:{
    fileType: applied
    farmUuid: "8bba5132-3a92-4ce1-8699-220e78ad68bd"
  } ) {
    uuid
    farmUuid
    fileType
    s3Url
    s3Fields
  }
}

```

{% endcode %}

#### **2. Надішліть локальний файл на s3Url, використовуючи попередньо визначені атрибути форми з s3Fields.** <a href="#step2" id="step2"></a>

{% code overflow="wrap" lineNumbers="true" %}

```bash
curl --location --request POST '<s3Url>' \
--form 'key="<value_in_s3Fields>"' \
--form 'AWSAccessKeyId="<value_in_s3Fields>"' \
--form 'x-amz-security-token="<value_in_s3Fields>"' \
--form 'policy="<value_in_s3Fields>"' \
--form 'signature="<value_in_s3Fields>"' \
--form 'file=@"<local_file_path>"'
```

{% endcode %}

Сповіщення про обробку надсилатимуться через механізм підписки, описаний у розділі\
[1. Підписка: отримання подій](https://docs.geopard.tech/geopard-tutorials/ukrainian/dokumentaciya-api/geopard-api-requests-overview/1.-subscription-get-events.md).

{% hint style="info" %}
Заголовок відповіді містить заголовок `Etag` який, наприклад, має такий вигляд: `Etag: "6fd3e76992738357ab50039f2c60024e"`. Це значення згодом використовується в GraphQL [query getPlatformContext](https://docs.geopard.tech/geopard-tutorials/ukrainian/dokumentaciya-api/geopard-api-requests-overview/83.-query-collect-platform-context.md) для відстеження перебігу обробки, а також зв’язку із сутностями «Поле», «Набір даних AsApplied», «Набір даних урожайності» та «Набір даних ґрунту».
{% endhint %}

{% hint style="info" %}
Використовуйте `‘Accept-Encoding’:’gzip, deflate, br’`.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/ukrainian/dokumentaciya-api/geopard-api-requests-overview/55.-upload-zip-files-over-6-mb.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
